#!/bin/bash
echo "Принтер должен быть выключен!!!"
echo "если это так нажмите любую клавишу:"
read answ

#Правила udev для CAPT принетеров
cat <<EOF >/etc/udev/rules.d/85-canon-capt.rules
KERNEL=="lp[0-9]*", SUBSYSTEMS=="usb", ATTRS{product}=="Canon CAPT USB Device", SYMLINK+="canon"
EOF
udevadm control --reload-rules

#Устанавливаем драйвер
yum -y install ./cndrvcups*.rpm
systemctl restart cups

#Регистрируем принтер
lpadmin -p LBP6020b -m CNCUPSLBP6020CAPTK.ppd -v ccp://localhost:59687 -E
ccpdadmin -p LBP6020b -o /dev/canon

#Перечень поддерживаемых принтеров
#LBP9100C 	CNCUPSLBP9100CCAPTK.ppd
#LBP7200C series 	CNCUPSLBP7200CCAPTK.ppd
#LBP7200Cdn (network mode) 	CNCUPSLBP7200CCAPTK.ppd
#LBP7018C / LBP7010C 	CNCUPSLBP7018CCAPTK.ppd
#LBP6300 	CNCUPSLBP6300CAPTK.ppd
#LBP6200 	CNCUPSLBP6200CAPTK.ppd
#LBP6020 	CNCUPSLBP6020CAPTK.ppd
#LBP6000 LBP6018 	CNCUPSLBP6018CAPTK.ppd
#LBP5300 	CNCUPSLBP5300CAPTK.ppd
#LBP5100 	CNCUPSLBP5100CAPTK.ppd
#LBP5050 series 	CNCUPSLBP5050CAPTK.ppd
#LBP5000 	CNCUPSLBP5000CAPTK.ppd
#LBP3500 	CNCUPSLBP3500CAPTK.ppd
#LBP3310 	CNCUPSLBP3310CAPTK.ppd
#LBP3300 	CNCUPSLBP3300CAPTK.ppd
#LBP3250 	CNCUPSLBP3250CAPTK.ppd
#LBP3210 	CNCUPSLBP3210CAPTK.ppd
#LBP3200 	CNCUPSLBP3200CAPTK.ppd
#LBP3100 / LBP3108 / LBP3150 	CNCUPSLBP3150CAPTK.ppd
#LBP3010 / LBP3018 / LBP3050 	CNCUPSLBP3050CAPTK.ppd
#LBP3000 	CNCUPSLBP3000CAPTK.ppd
#LBP2900 	CNCUPSLBP2900CAPTK.ppd
#LBP-1210 	CNCUPSLBP1210CAPTK.ppd
#LBP-1120 	CNCUPSLBP1120CAPTK.ppd
#LBP-810 	CNCUPSLBP1120CAPTK.ppd

cat <<EOF >/etc/systemd/system/ccpd.service
[Unit]
Description=CCPD Printing Daemon
Requires=cups.service
After=cups.service
[Service]
Type=forking
ExecStart=/usr/sbin/ccpd
TimeoutSec=5
[Install]
WantedBy=multi-user.target
EOF

rm -rf /etc/rc.d/init.d/ccpd

systemctl daemon-reload
systemctl enable ccpd
systemctl restart ccpd

echo
echo "Принтер зарегистрирован в системе, можно включить его и попробовать печатать"

